using System;

namespace Finale
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);

            Console.WriteLine(n * 2 + (m - 2) * 2 + (n - 2) * (m - 2) / 2);
        }
    }
}